# ReadableVector (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.vector
Interface ReadableVector

All Known Subinterfaces:
  ReadableVector2f, ReadableVector3f, ReadableVector4f

All Known Implementing Classes:
  Quaternion, Vector, Vector2f, Vector3f, Vector4f

    public interface ReadableVector

Author:
  foo

Method Summary
`float` `length()`
`float` `lengthSquared()`
`Vector` `store(java.nio.FloatBuffer buf)` Store this vector in a FloatBuffer

Method Detail

### length

    float length()

  Returns:
    the length of the vector

### lengthSquared

    float lengthSquared()

  Returns:
    the length squared of the vector

### store

    Vector store(java.nio.FloatBuffer buf)

  Store this vector in a FloatBuffer

  Parameters:
    `buf` - The buffer to store it in, at the current position
  Returns:
    this

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.